pipelight-multi (0.2.8.2-1obs) obs; urgency=medium

  * Rebuild for Debian and Ubuntu.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Jul 2020 18:53:31 -0700

pipelight-multi (0.2.8.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 04 Mar 2016 11:58:51 -0800

pipelight-multi (0.2.8.2~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Michael Müller <michael@fds-team.de>  Sun, 04 Oct 2015 13:01:15 +0000

pipelight-multi (0.2.8.2) RELEASED; urgency=low

  * Update Flash to 19.0.0.185
  * Update Shockwave to 12.2.0.162
  * Update Silverlight 5 to 5.1.40416.0
  * Update Unity3D checksum
  * Fix compatibility with gpg2

 -- Michael Mueller <michael@fds-team.de>  Sun, 04 Oct 2015 14:32:48 +0200


pipelight-multi (0.2.8.1) RELEASED; urgency=low

  * Change dependency from wine-compholio to wine-staging for Debian/Ubuntu
  * Update checksum for Shockwave

 -- Michael Mueller <michael@fds-team.de>  Sun, 11 Jan 2015 05:09:54 +0100


pipelight-multi (0.2.8) RELEASED; urgency=low

  * Use signature for install-dependency.sig in clearsign format
  * Use new key for signing install-dependency.sig (used for --update)
  * Use cached plugin information when plugin initialization fails
  * 'pipelight-plugin --update' now automatically updates file timestamps
  * Update Flash to 16.0.0.235
  * Update Silverlight to 5.1.30514.0
  * Update AdobeReader to 11.0.08
  * Update Shockwave to 12.1.5.155
  * Update Unity3D checksum
  * Update Foxit Reader to 7.0.6.1126 (broken in Wine 1.7.32)
  * Update Roblox checksum (broken in Wine 1.7.32)
  * Remove TrianglePlayer plugin (doesn't exist anymore?)
  * Avoid exporting unnecessary symbols in libpipelight.so
  * Rewrite Makefile system to automatically detect dependencies
  * Code cleanup

 -- Sebastian Lackner <sebastian@fds-team.de>  Wed, 10 Dec 2014 05:55:56 +0100


pipelight-multi (0.2.7.3) RELEASED; urgency=high

  * Fix 'pipelight-plugin --update' command

 -- Sebastian Lackner <sebastian@fds-team.de>  Sun, 20 Jul 2014 05:24:43 +0200


pipelight-multi (0.2.7.2) RELEASED; urgency=low

  * Update Flash to 14.0.0.145
  * Update Shockwave to 12.1.3.153
  * Update FoxitPDF to 6.2.1.0618
  * Update Unity3D to 4.5.2f1
  * Effectively drop group-privileges by calling initgroups()
    prior to setuid() and/or setgid()
  * Prefer `cp -af` over `install -m 0644`, but change timestamp
  * Add configure-switches: bash-interp, bindir, datadir, gpg-exec,
    libdir, mandir, mingw-cxxflags, so-modeq, git-commit
  * Preserve timestamps on 'make install'
  * Additional improvements to the build system
  * Fix --no-gpu-accel configure switch

 -- Michael Mueller <michael@fds-team.de>  Sat, 19 Jul 2014 22:51:15 +0200


pipelight-multi (0.2.7.1) RELEASED; urgency=low

  * Update Shockwave to 12.1.2.152
  * Fix AMD detection for open source drivers
  * Make Pipelight FreeBSD compatible

 -- Michael Mueller <michael@fds-team.de>  Mon, 09 Jun 2014 22:57:23 +0200


pipelight-multi (0.2.7) RELEASED; urgency=low

  * Update Flash to 13.0.0.214
  * Update Shockwave to 12.1.1.151
  * Update for Unity3D plugin
  * Update for Adobereader, FoxitReader and Roblox plugin
  * Added experimental TrianglePlayer plugin
  * Fixed pluginloader.exe crash when closing browser window and using
    multiple instances of the same plugin
  * Fix issue that Firefox detected wrong plugin version in some cases
  * Fix structure for x11drv_escape_set_drawable (linux windowless mode)
  * Integrate graphic driver check directly into pluginloader.exe
  * Allow changing strict draw ordering at runtime via context menu
  * Add system-check utility to verify that installation is correct
  * Remove full paths from plugin config files
  * Make scripts more compatible with BSD systems
  * Add --debug configure option
  * Code cleanup

 -- Michael Mueller <michael@fds-team.de>  Tue, 03 Jun 2014 03:09:13 +0200


pipelight-multi (0.2.6) RELEASED; urgency=low

  * Update Silverlight to 5.1.30214.0
  * Add ViewRight for Caiway plugin
  * Update Flash to 12.0.0.77
  * Update Shockwave Player to 12.1.0.150
  * Update Roblox plugin
  * Added Vizzed RGR plugin
  * Add pipelight-plugin commandline switch --list-enabled-all
  * Silverlight now works even with less strict user agent settings
  * Made pluginloader 64-bit compatible and added experimental 64-bit
    version of Flash
  * Add implementation for NPN_PluginThreadAsyncCall
  * Some first steps to make Pipelight MacOS compatible
  * --win{32/64}-prebuilt now automatically downloads the prebuilt binary
    if it doesn't exist yet in the 'make' step
  * Fixed compilation of 32bit pluginloader with wineg++
  * More code cleanup

 -- Michael Mueller <michael@fds-team.de>  Sun, 06 Apr 2014 04:42:15 +0200


pipelight-multi (0.2.5) RELEASED; urgency=low

  * Update Flash to 12.0.0.70
  * Update version of Unity3D, Shockwave and FoxitPDF
  * Add np-ActiveX plugin
  * Add Roblox plugin
  * Add Hikvision Webcontrol plugin as experimental plugin
  * install-dependency: Fix compatibility with old versions of mktemp
  * Add compile flag -DMINGW32_FALLBACK for old versions of Mingw
  * Increase startup timeout for Wine from 20sec to 1min (for slow PCs)
  * Add man page for pipelight-plugin commandline utility
  * Moved configure-* scripts to /usr/share/pipelight/scripts/*

 -- Michael Mueller <michael@fds-team.de>  Sat, 22 Feb 2014 02:46:41 +0100


pipelight-multi (0.2.4.2) RELEASED; urgency=high

  * Improved identifier caching system to ensure that the linux side never
    uses invalid values
  * Don't require ScheduleTimer and UnscheduleTimer function calls
  * Revert PIPELIGHT_SYNC in some specific cases, where some browsers seem
    to behave differently - will be readded later after some more testing

 -- Michael Mueller <michael@fds-team.de>  Mon, 20 Jan 2014 01:11:27 +0100


pipelight-multi (0.2.4.1) RELEASED; urgency=high

  * Fix a regression with Firefox/Opera browsers, which pass a malformed
    value in the plugin initialization array

 -- Michael Mueller <michael@fds-team.de>  Sun, 19 Jan 2014 18:13:43 +0100


pipelight-multi (0.2.4) RELEASED; urgency=low

  * Add Widevine plugin (version 6.0.0.12442)
  * Add experimental Adobe Reader plugin (version 11.0.06)
  * Updated Flash plugin to version 12.0.0.43
  * Updated version of Unity3D and FoxitPDF
  * Added additional wine patches to improve performance
  * Several speed improvements like: Give control back to plugin/browser before
    cleaning up stuff, use async calls when possible, improved refcounting
    system, use cache for NPIdentifiers
  * Show corresponding plugin and library licenses when activating a module
  * Add experimental strictDrawOrdering support (can help in case of drawing
    bugs with AMD graphic cards)
  * Added experimental linuxWindowlessMode (required by browsers without
    XEMBED support, like for example QT5 browsers)
  * Change behaviour of install-dependency to stop on the first failure
  * Several smaller bugs fixed and other code improvements

 -- Michael Mueller <michael@fds-team.de>  Sun, 19 Jan 2014 01:35:20 +0100


pipelight-multi (0.2.3) RELEASED; urgency=low

  * Updated Silverlight to version 5.1.20913.0
  * Updated Flash plugin to version 11.9.900.170
  * Updated version of Unity3D and Shockwave
  * Added pulseaudio patches to wine-compholio
  * Added install-dependency supports for the debug version of the flash
    plugin (wine-flash-debug-installer)
  * Fixed a bug that the plugin resolution is not set correct in
    non-embedded mode
  * Added additional checks to ensure that the windows and linux part of
    pipelight are compatible
  * Improved sandboxing support to allow sandboxing even on the first startup
  * Show sandbox status and wine version in popup menu
  * Several code optimizations and improvements
  * Added experimental plugins: foxitpdf, grandstream (not created by default,
    but can be unlocked with: sudo pipelight-plugin --unlock-plugin PLUGIN)

 -- Michael Mueller <michael@fds-team.de>  Sat, 14 Dec 2013 16:54:15 +0100


pipelight-multi (0.2.2) RELEASED; urgency=high

  * Updated flash to version 11.9.900.152 (security update!) and unity 3D
    installer checksum
  * Fixed an error when the gpu acceleration check is set to /bin/false
  * Added an additional wine patch to fix loading problems with TestOut
  * Added additional checks to ensure that the wine prefix is owned by
    the correct user
  * Fixed kdialog/qdbus error in install-dependency script

 -- Michael Mueller <michael@fds-team.de>  Thu, 14 Nov 2013 22:57:34 +0100


pipelight-multi (0.2.1) RELEASED; urgency=medium

  * Added shockwave and unity3d plugin (including installer)
  * Added wine-wininet-installer to work around some bugs in the wine
    implementation (eg. authentication dialogs not working)
  * Fixed a bug in install-dep that the downloads were not cached anymore
  * Added --destdir to install-dep script (required for distributions without
    postinstallation step)
  * Added workaround for archlinux, which seems to set always the
    environment variable MOZ_PLUGIN_PATH
  * The win32 part is now statically linked against the mingw32 runtime
    and we therefore dropped the dependency on mingw for end users
    which should save a lot of space
  * Enable GPU acceleration for flash
  * For Silverlight and flash: Show popup menu entries when right-clicking on
    the plugin (more options will be added later)
  * Added additional workaround for a Chrome bug
  * Updated the wine-compholio patches to work around problems with multiple
    browser tabs and the flash plugin, moreover to fix a bug related to the
    QT XEmbed libraries
  * Added experimental "Stay in fullscreen" context menu for Silverlight and
    Flash
  * Fixed a bug where in windowlessmode the focus is not always set correctly

 -- Michael Mueller <michael@fds-team.de>  Wed, 30 Oct 2013 18:47:18 +0100


pipelight-multi (0.2.0) RELEASED; urgency=low

  * Implemented possibility to use multiple windows plugins
  * Renamed package to pipelight-multi, converted pipelight into a meta package
    (contains only a readme file and enables Silverlight to be backwards
    compatible)
  * Dropped dependencies on other packages than wine-compholio and moved all
    required scripts into pipelight-multi
  * Added config and downloader for Flash
  * Added several wine patches to fix deadlocks and race conditions when using
    hardware acceleration with Silverlight
  * Removed all Silverlight specific config options (except graphicDriverCheck)
  * Added possibility to read plugin path from the registry, so that it is not
    necessary to update the configuration on a plugin update
  * Added pipelight-plugin script which allows the user to enable or disable
    specific plugins for either his account or system-wide
  * Code refactoring (renamed files, moved shared code into common.h, use of
    inline functions when appropriate, ...)
  * Added PIPELIGHT_X11WINDOW environment variable (can be used for XBMC-like
    plugins based on pipelight)
  * Fixed several smaller bugs

 -- Michael Mueller <michael@fds-team.de>  Mon, 14 Oct 2013 23:35:37 +0200


pipelight (0.1-4) RELEASED; urgency=low

  * Add unofficial flash support by fixing some bugs and implementing
    additional functions
  * Added HIGHLY experimental sandbox support
  * Imported new translations (nl, en_GB)
  * Improved and cleaned up debugging code for developers

 -- Michael Mueller <michael@fds-team.de>  Mon, 16 Sep 2013 03:43:00 +0200


pipelight (0.1-3) RELEASED; urgency=low

  * Added additional wine patches, which allows one to use additional streaming
    pages like for example LOVEFiLM
  * Added configuration option that allows to install additional dependencies
  * Initialize FPU registers on startup (fixes error popup messages)
  * Code cleanup and some bug fixes

 -- Michael Mueller <michael@fds-team.de>  Sun, 08 Sep 2013 01:00:00 +0200


pipelight (0.1-2-1) RELEASED; urgency=low

  * Fixed bug that a symlink can not be created if the /usr/lib/mozilla/plugins
    directory does not exist

 -- Michael Mueller <michael@fds-team.de>  Mon, 28 Aug 2013 22:28:00 +0200


pipelight (0.1-2) RELEASED; urgency=low

  * Fixed build flags for wingw32. (fixes lp issue 1213725)
  * Added documentation for option gccRuntimeDlls to the config file
  * Added experimental usermode timer support (experimental-userModeTimer)
  * Added an alternative event handling method using async calls
    to make it work with browsers like Midori which don't support timers.
  * Fixed the wine xembed patch such that it also should work on KDE
    and others (fixes lp issue 1213784)
  * Added PIPELIGHT_CONFIG env. variable to overwrite the config search path.
  * Merged with changes by Joseph Yasi (merge 180968)
    Allows to define WINEARCH via the config variable wineArch.
  * Added fix to make Pipelight working with Opera (fixes lp issue 1214447)
  * Added the possibility to enable/disable pipelight system-wide
  * Changed meaning of winePath variable in config file - its now the path to
    the wine directory, not the wine executable (see default config)
  * Prevent Wine from asking for Gecko or Mono
  * Automatically enable/disable windowlessMode when required
  * Detect Opera browser automatically to set eventAsyncCall to true
  * Added a config option to execute Javascript on instance creation,
    this allows faking the user agent in some cases without external plugin
  * Added diagnostic debug output via JavaScript in case of an error
  * Changed the meaning of overwriteArg, which is now also able to add
    arguments if they were not defined by the website
  * Provide Wine patch which implements a part of the
    IDirect3DSwapChain9Ex interface which is required to get hardware
    acceleration with Silverlight
  * Added GPU driver check script, which will check if the driver is known
    to work with hardware acceleration and Silverlight

 -- Michael Mueller <michael@fds-team.de>  Mon, 28 Aug 2013 03:40:00 +0200


pipelight (0.1-1) RELEASED; urgency=low

  * Initial release.

 -- Michael Mueller <michael@fds-team.de>  Mon, 16 Aug 2013 20:26:54 +0200
